#include <stdlib.h>
#include <stdio.h>
#include <math.h>

#include "mathlib_extra.h"

int main(int argc, char*argv[]){
	double a[5] = {0.0, 0.125, 0.5, 0.875, 1.0};
	int x = 0;

	for(x = 0; x < 5; x++) {
		printf("Initial value [%i] is %lf\n", x, a[x]);
	}
	printf("\n");

	for(x = 0; x < 5; x++) {
		printf("ChkDNorm(value [%i]) is %lf\n", x, ChkDNorm(a[x]));
	}
	printf("\n");

	for(x = 0; x < 5; x++) {
		printf("ChkDNorm_Inv(value [%i]) is %lf\n", x, ChkDNorm_Inv(a[x]));
	}
	printf("\n");

	for(x = 0; x < 5; x++) {
		printf("FpCurveUp(value [%i], 0.2) is %lf\n", x, FpCurveUp(a[x], 0.2));
	}
	for(x = 0; x < 5; x++) {
		printf("FpCurveUp(value [%i], 0.9) is %lf\n", x, FpCurveUp(a[x], 0.9));
	}
	printf("\n");

	for(x = 0; x < 5; x++) {
		printf("FpCurveDn(value [%i], 0.2) is %lf\n", x, FpCurveDn(a[x], 0.2));
	}
	for(x = 0; x < 5; x++) {
		printf("FpCurveDn(value [%i], 0.9) is %lf\n", x, FpCurveDn(a[x], 0.9));
	}
	printf("\n");

	for(x = 0; x < 5; x++) {
		printf("FpCurveUpRs(value [%i], 0.2) is %lf\n", x, FpCurveUpRs(a[x], 0.2));
	}
	for(x = 0; x < 5; x++) {
		printf("FpCurveUpRs(value [%i], 0.9) is %lf\n", x, FpCurveUpRs(a[x], 0.9));
	}
	printf("\n");

	for(x = 0; x < 5; x++) {
		printf("FpCurveDnRs(value [%i], 0.2) is %lf\n", x, FpCurveDnRs(a[x], 0.2));
	}
	for(x = 0; x < 5; x++) {
		printf("FpCurveDnRs(value [%i], 0.9) is %lf\n", x, FpCurveDnRs(a[x], 0.9));
	}
	printf("\n");

	return 0;
}
